IBM Support

Flash: (Linux only) Upgrade to IBM Spectrum Protect backup-archive client 8.1.11 before upgrading to IBM Spectrum Scale 5.0.5 or later

Flashes (Alerts)


Abstract

If IBM Spectrum Scale on Linux is upgraded to version 5.0.5 or later, then the next IBM Spectrum Protect incremental backup might back up all files in the IBM Spectrum Scale (GPFS) file system. Side effects of this behavior include duplicate backup versions and premature expiration of the oldest backup version.

Content

The problem
After you upgrade IBM Spectrum Scale on Linux to version 5.0.5 or later, the next incremental backup operation can back up all files, even if the files are not changed. This behavior can lead to premature expiration of the oldest (least recent) backup versions and redundant backup of the latest (most recent) backup versions. There are several other possible side effects:
  • Longer backup processing time
  • Increased network utilization
  • Increased IBM Spectrum Protect server database and storage pool utilization
This problem occurs once. Subsequent incremental backups do not back up unchanged files.
The problem does not occur if the IBM Spectrum Scale mmbackup command is used for the backup operation.
This problem does not affect other file system types or other operating systems.
This problem is documented by APAR IT35250
Levels affected
IBM Spectrum Protect Backup-Archive Client for Linux version 8.1.9 and 8.1.10 that back up IBM Spectrum Scale (GPFS) file systems
Note: IBM Spectrum Protect version 8.1.9 is the earliest version that supports IBM Spectrum Scale 5.0.5.
Immediate action
If you use the IBM Spectrum Protect Backup-Archive Client INCREMENTAL command to back up your GPFS file systems, then upgrade to IBM Spectrum Protect Backup-Archive Client version 8.1.11 before you upgrade to IBM Spectrum Scale version 5.0.5 or later.
If it is not possible to upgrade the backup-archive client before you upgrade to IBM Spectrum Scale version 5.0.5 or later, then add the following option to your backup-archive client options file (dsm.opt) to avoid the symptoms of this problem:
SKIPACLUPDATECHECK YES
Important: Be sure you understand how the SKIPACLUPDATECHECK option affects backup-archive client behavior.
Remove this option after the backup-archive client is upgraded to version 8.1.11.
Note: Although mmbackup is not affected by this problem, IBM advises that you upgrade the backup-archive client to version 8.1.11 before you upgrade IBM Spectrum Scale to version 5.0.5 or later.
Fix

[{"Line of Business":{"code":"LOB26","label":"Storage"},"Business Unit":{"code":"BU054","label":"Systems w/TPS"},"Product":{"code":"SSEQVQ","label":"IBM Spectrum Protect"},"ARM Category":[{"code":"a8m0z00000006rgAAA","label":"Client->Backup"}],"Platform":[{"code":"PF016","label":"Linux"}],"Version":"8.1.10;8.1.9"},{"Line of Business":{"code":"LOB26","label":"Storage"},"Business Unit":{"code":"BU054","label":"Systems w/TPS"},"Product":{"code":"STXKQY","label":"IBM Spectrum Scale"},"ARM Category":[{"code":"a8m50000000KzgXAAS","label":"DMAPI/TSM/HSM"}],"Platform":[{"code":"PF016","label":"Linux"}],"Version":"5.0.0"}]

Document Information

Modified date:
04 February 2021

UID

ibm16381354